@echo off
title SenseVoice Batch Processor

echo.
echo =======================================================
echo     Starting the SenseVoice Application...
echo =======================================================
echo.

rem Step 1: Change to the project directory.
rem The /d switch is important to change the drive as well as the directory.
cd /d "C:\GGGGame\SenseVoice-main"

rem Check if the directory exists. If not, exit with an error.
if not exist ".venv" (
    echo ERROR: Project directory or virtual environment not found at "C:\GGGGame\SenseVoice-main".
    echo Please check the path in the script.
    pause
    exit
)

rem Step 2: Activate the virtual environment using the batch activator.
echo [+] Activating virtual environment...
call .venv\Scripts\activate.bat
echo.

rem Step 3: Run the Python script.
echo [+] Launching the Python web UI...
echo     Please wait for the model to load in this console.
echo     A web address (like http://127.0.0.1:7860) will appear when it's ready.
echo.
python process_all.py
echo.

rem Step 4: Pause the script so the window doesn't close immediately.
echo =======================================================
echo     Script execution has finished or was closed.
echo     You can now close this window.
echo =======================================================
pause